Get all campaigns by page and page size
Request
|
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
|
path |
number |
false |
The page number to display results for. Returns the first page if not specified. |
|
|
path |
number |
false |
The maximum number of results per page. This must be a positive integer up to Returns 10 results per page if not specified. If a value greater than |
|
|
path |
string |
true |
The supported file format for getting a response. Possible values: |
|
|
query |
string |
true |
The API key of your account. |
|
|
query |
string |
false |
The name of the campaign property to sort results by. Possible values: |
|
|
query |
any |
false |
Specifies the method to sort results. Possible values: |
GET https://{hostname}/v3/campaigns/{Page}/{PageSize}.{Format}?apikey=&SortBy=&SortMethod=Response
|
Status |
Description |
Headers |
Schema |
|---|---|---|---|
|
|
The request is successful. |
|
N/A |
{
"Code": 0,
"Error": null,
"Context": {
"Paging": {
"PageSize": 5,
"CurrentPage": 1,
"TotalResults": 2,
"TotalPageCount": 1,
"SortExpression": null,
"SortIsAscending": true
},
"Campaigns": [
{
"ID": "cbcb297d-52a8-4bed-ae85-640c37c92771",
"Name": "Test Release 1",
"Subject": "Test Release 1",
"SiteName": "mysite",
"ConfirmationTo": "[email protected]",
"CreatedOn": "/Date(1464952661697+0100)/",
"ABHoursToTest": null,
"ABCampaignType": null,
"ABWinner": null,
"ABWinnerSelectionType": null,
"Status": 3,
"DeliveredOn": "/Date(1464952817450+0100)/",
"ScheduledFor": null,
"ScheduledForTimezone": "GTB Standard Time",
"MailingLists": [
{
"Campaign": null,
"MailingList": {
"ID": "dce99b7a-2619-4805-aaeb-7fecdcb3c71b",
"Name": "Some Name",
"ActiveMemberCount": 0,
"BouncedMemberCount": 0,
"RemovedMemberCount": 0,
"UnsubscribedMemberCount": 0,
"Status": 0,
"CustomFieldsDefinition": [],
"CreatedBy": "212.205.224.198",
"CreatedOn": "/Date(1464952667680+0100)/",
"UpdatedBy": "212.205.224.198",
"UpdatedOn": "/Date(1464952667680+0100)/",
"ImportOperation": null
},
"Segment": null
}
],
"TotalSent": 1,
"TotalOpens": 1,
"UniqueOpens": 1,
"TotalBounces": 0,
"TotalForwards": 0,
"UniqueForwards": 0,
"TotalLinkClicks": 0,
"UniqueLinkClicks": 0,
"RecipientsCount": 1,
"IsTransactional": false,
"TotalComplaints": 0,
"TotalUnsubscribes": 0,
"CampaignSource": null,
"CampaignType": "Digest"
},
{
"ID": "ef2ab040-aec8-46bf-be54-3d8311093015",
"Name": "Performance Testing",
"Subject": "Performance Testing",
"SiteName": "mysite",
"ConfirmationTo": "[email protected]",
"CreatedOn": "/Date(1464647633330+0100)/",
"ABHoursToTest": null,
"ABCampaignType": null,
"ABWinner": null,
"ABWinnerSelectionType": null,
"Status": 3,
"DeliveredOn": "/Date(1464647633207+0100)/",
"ScheduledFor": null,
"ScheduledForTimezone": "GTB Standard Time",
"MailingLists": [
{
"Campaign": null,
"MailingList": {
"ID": "9b7611be-d395-4637-9983-697d261cca91",
"Name": "Performance Testing",
"ActiveMemberCount": 0,
"BouncedMemberCount": 0,
"RemovedMemberCount": 0,
"UnsubscribedMemberCount": 0,
"Status": 0,
"CustomFieldsDefinition": [],
"CreatedBy": "127.0.0.1",
"CreatedOn": "/Date(1464647633220+0100)/",
"UpdatedBy": "127.0.0.1",
"UpdatedOn": "/Date(1464647633220+0100)/",
"ImportOperation": null
},
"Segment": null
}
],
"TotalSent": 0,
"TotalOpens": 0,
"UniqueOpens": 0,
"TotalBounces": 0,
"TotalForwards": 0,
"UniqueForwards": 0,
"TotalLinkClicks": 0,
"UniqueLinkClicks": 0,
"RecipientsCount": 18561,
"IsTransactional": false,
"TotalComplaints": 0,
"TotalUnsubscribes": 0,
"CampaignSource": null,
"CampaignType": "Digest"
}
]
}
}-
Code- the response code. This is0if successful. -
Error- the response error message. This isnullif successful. -
Context- an object that contains all the information for the requested campaigns:-
Paging- an object that contains the following information:-
PageSize- the page size of the results. This is0if not defined. -
CurrentPage- the number of the result page. This is1if not defined. -
Totalresults- the number of campaigns that are included in the response. -
TotalPageCount- the number of all the available campaign pages for your account. -
SortExpression- the sort expression associated with the column or columns being sorted. -
SortIsAscending- this isfalseif the results are not displayed in ascending order based on the sort expression.
-
-
ID- the ID of the campaign. -
Name- the name of the campaign. -
Subject- the subject of the campaign. -
SiteName- the site name of the account. -
ConfirmationTo- the email address to which a confirmation message is sent when the campaign has been successfully sent. -
CreatedOn- the date-time the requested campaign was created. -
ABHoursToTest- specifies the total number of hours to test versions A and B of your campaign before sending the winning version. This isnullif the campaign is not an A/B split test campaign. -
ABCampaignType- specifies the type of the A/B split campaign test. Possible values are:-
0- for a campaign sender test. -
1- for a campaign content test. -
2- for a subject line test.
-
-
ABWinner- specifies if the winning campaign is A or B. This isnullif the campaign is not an A/B split test campaign. -
ABWinnerSelectionType- specifies the method to determine the winning version for the test. This isnullif the given campaign is not an A/B split test campaign, or one of the following values if it is:-
0- the campaign version with the highest number of unique opens is selected to be sent to the rest of your list. -
1- the campaign version with the highest number of unique clicks is selected to be sent to the rest of your list.
-
-
Status- status of the campaign. Possible values are the following:-
0- draft -
1- queued for sending -
3- sent -
4- not enough credits -
5- awaiting delivery -
6- sending -
10- deleted -
11- selecting a winner -
13- subscription expired -
14- subscription limits exceeded
-
-
DeliveredOn- the date-time the campaign was delivered. -
ScheduledFor- the date-time the campaign is scheduled to be delivered. -
ScheduledForTimezone- the selected time zone for the scheduled campaign to be delivered. -
CampaignType- the type of campaign which has been created or sent.-
Regular -
Digest- Rss or Repeatable -
Transactional -
Automation
-
-
MailingLists- a list of email lists selected for sending the campaign. It contains the following information for each email list:-
Campaign- the campaign associated with this email list. This isnullfor this case. -
MailingList- an object that contains the following information for each email list:-
ID- the ID of the email list. -
Name- the name of the email list. -
ActiveMemberCount- the number of active members in the email list. -
BouncedMemberCount- the number of bounced emails in the email list. -
RemovedMemberCount- the number of removed emails in the email list. -
UnsubscribedMemberCount- the number of unsubscribed emails in the email list. -
Status- status of the email list. For created, this is0, for imported, this is1, for importing, this is2, and for deleted, this is3. -
CustomFieldsDefinition- an array containing the parameters of custom fields in the email list. -
CreatedBy- the IP address used to create the email list. -
CreatedOn- the date-time the email list was created. -
UpdatedBy- the IP address used to update the email list. -
UpdatedOn- the date-time that the email list was updated. -
ImportOperation- an object that contains the details of the latest import operation performed in the email list.
-
-
Segment- a list of segments in the email list containing the following information for each segment. This isnullif the campaign was not sent to any email list segment.-
ID- the ID of the segment. -
Name- the name of the segment. -
MatchType- specifies how subscribers are returned by your segment based on matching criteria. Possible values are:-
0- for All. Returns subscribers that match all the given criteria. -
1- for Any. Returns subscribers that match any of the given criteria.
-
-
Criteria- contains a list with information for each selected criterion selected for the segment. -
CreatedBy- the IP address used to create the segment. -
CreatedOn- the date-time the requested segment was created. -
UpdatedBy- the IP address used to update the segment. -
UpdatedOn- the date-time the segment was updated. -
FetchType- the selected fetch type for the selected segment criteria. Possible values are:-
0- for all segment criteria. -
1- for the top segment criteria. -
2- for the top percent segment criteria.
-
-
Description- contains a string representation of all the selected filters,MatchTypecriteria, andFetchTypecriteria.
-
-
TotalSent- the total number of campaign emails sent. -
TotalOpens- the total number of emails opens. -
UniqueOpens- the total number of unique email opens. -
TotalBounces- the total number of email bounces. -
TotalForwards- the total number of email forwards for the campaign using the Forward to a friend personalization tag. -
UniqueForwards- the total number of unique forwards for the campaign using the Forward to a friend personalization tag. -
TotalLinkClicks- the total number of link clicks. -
UniqueLinkClicks- the total number of unique link clicks. -
RecipientsCount- the total number of recipients. -
IsTransactional- this isfalsefor this case. -
TotalComplaints- the total number of complaints. -
TotalUnsubscribes- the total number of unsubscribed recipients for the campaign.
-
-